#!/bin/ksh

pkginfo | grep -i db2rte >> /dev/null 2>&1
if [ $? -ne 0 ]
then
  echo "DB2 not installed"
  echo "Please install DB2"
  exit 1
fi

if [[ $DBHOME = "" ]]
then
  echo "Type the path of db2 home [/export/home/db2]"
  read DBHOME
  if [[ $DBHOME = "" ]]
  then
    DBHOME=/export/home/db2
  fi
fi


if [[ $DBNAME = "" ]]
then
  echo "Type the name of the database [WAS]"
  read DBNAME
  if [[ $DBNAME = "" ]]
  then
    DBNAME=WAS
  fi
fi


if [ ! -d $DBHOME/sqllib ]
then
  echo "Create a db2 instance by executing /opt/db2_05_00/instance/db2icrt"
  echo "Create symbolic links by executing /opt/db2_05_00/cfg/db2ln"
  echo "Then run this script again"
  exit 2
else
  . $DBHOME/sqllib/db2profile
fi

db2 "CREATE DATABASE $DBNAME"
db2 "UPDATE DB CFG FOR $DBNAME USING APPLHEAPSZ 256"

exit 0
