#!/bin/sh

ZIP_PATH=`pwd`/Data.zip
if [ ! -f ${ZIP_PATH} ]
then
   {
      echo "Please run install.sh from the directory where you downloaded the fixpack to. "
      echo "Current directory is " `pwd`
      exit 1
   }
fi


if [ "$#" != "1" ]
then
   {
      while :
      do
      {
         echo "Please enter the product root directory"
         read WAS
       if [ "${WAS}" = "" ]
       then
         continue
       fi
      
       if [ ! -d ${WAS}   -o   ! -f ${WAS}/properties/com/ibm/websphere/product.properties  ]
       then
         {
            echo
            echo "Unable to locate file: ${WAS}/properties/com/ibm/websphere/product.properties"
            echo 
            continue
         }
       fi

       break
      }
      done
   }
else
  {
   WAS=$1
  }
fi

if [ "${JAVA_HOME}" != "" ]
 then
    {
     echo "JAVA_HOME is set as $JAVA_HOME"
    }
   else
   {
     while :
     do
     {
          echo "Please enter your JAVA_HOME absolute path: "
          read JAVA_HOME
          if [ "${JAVA_HOME}" = "" ]
          then
              continue
          fi
#      
          if [ ! -f $JAVA_HOME/bin/java ]
          then
          {
               echo
               echo "Unable to locate file: ${JAVA_HOME}/bin/java"
               echo 
               continue
          }
          fi
#
          break
     }
    done
   }
   fi
#
CLASSPATH=`pwd`/Fixpack.class:`pwd`/fixpack.jar:`pwd`/install.jar:$JAVA_HOME/lib/classes.zip:.:$CLASSPATH
export CLASSPATH
PATH=$JAVA_HOME/bin:$PATH
export PATH
#

ulimit_n=1024
ulimit_p=`ulimit -n`
if test $ulimit_n -gt $ulimit_p
then
     echo "MSG:      Increasing ulimit to $ulimit_n"
     ulimit -n $ulimit_n
fi



# Put in to update WebSphere samples in the document root directory.
if test "${DOC_ROOT}" != ""
then
{
   echo "The document directory is set to $DOC_ROOT"
}
else
{  
   echo "Please enter the document root directory of your web server for samples update."
   echo "Example: /usr/HTTPServer/htdocs"
   read DOC_ROOT
} # (if $DOC_ROOT != "")
fi

while :
do
{
   if test "${DOC_ROOT}" =  ""
   then
   {
      echo "Please enter your document root path for your web server for samples update."
      echo "Example: /usr/HTTPServer/htdocs"
      read DOC_ROOT
      continue
   }
   fi
   
   if [ -d $DOC_ROOT ]
   then
   {
      break
   }
   else
   {
      echo 
      echo
      echo "SORRY! That appears to be an invalid document directory for your web server."
      echo "Please enter your document directory."
      echo "Example: /usr/HTTPServer/htdocs"
      read DOC_ROOT
      continue
   } #if DOC_ROOT directory found
   fi

} #while do
done

if [ ! -d $DOC_ROOT/WebSphereSamples ]
then
{
   mkdir $DOC_ROOT/WebSphereSamples
   chmod 755 $DOC_ROOT/WebSphereSamples
}
fi

if [ ! -d $DOC_ROOT/theme ]
then
{
   mkdir $DOC_ROOT/theme
   chmod 755 $DOC_ROOT/theme
}
fi

if [ ! -d $WAS/WebSphereSamples/SiteOutliner ]
then
{
   mkdir $WAS/WebSphereSamples/SiteOutliner
   chmod 755 $WAS/WebSphereSamples/SiteOutliner
}
fi


java -classpath $CLASSPATH Fixpack -install -b ${WAS} -f ${ZIP_PATH}


cp -r $WAS/WebSphereSamples/* $DOC_ROOT/WebSphereSamples
cp -r $WAS/theme/* $DOC_ROOT/theme


if test $ulimit_n -gt $ulimit_p
then
     ulimit -n $ulimit_p
fi


echo ""
exit 0


